LINUX.ORG.RU

Обновил ненужно до 4.3

 , , ,


0

1

Ага, вобщем Debian 6 на борту. Скачал dynamic-версию этого некрософачного поделия, воткнул ему нужные либы (libphonon.so, libQtWebKit.so, libQtXmlPatterns.so) - взлетело, НО!

Запуск выглядит так:

$ LD_LIBRARY_PATH=/home/deep/Bin/skype-4.3.0.37/ /home/deep/Bin/skype-4.3.0.37/skype
Без установки переменной LD_LIBRARY_PATH оно не взлетает, прописать её в .bashrc не помогло, оно хочет устанавливать непосредственно при запуске. И никак не могу отвязать процесс от терминала. Пробовал перенаправления, nohup, daemon и их комбинации - эта тварь не отвязывается от терминала. Как отвязать? Может скрипт какой запилить?

Может скрипт какой запилить?

И в чём проблема? Вот и поместите указанную строку в скрипт и запускайте skype с него.

Да, в Skype 4.3 оставили поддержку только pulseaudio, напрямую с alsa он теперь работать не умеет, так что не забудьте установить pulseaudio и запустить его сервер.

kostik87 ★★★★★ ()

И никак не могу отвязать процесс от терминала.

Поставь в конце &.

Zhbert ★★★★★ ()
Ответ на: комментарий от Zhbert

Поставь в конце &

Пробовал жи, не помогает, любой Ctrl+Z, Ctrl+D закрывает терминал и убивает с ним процесс поделия.

deep-purple ★★★★★ ()
Ответ на: комментарий от kostik87

не забудьте установить pulseaudio

Пусть какится в тартарары эта пщщщщаудия.

deep-purple ★★★★★ ()
Ответ на: комментарий от deep-purple

Пробовал жи, не помогает, любой Ctrl+Z, Ctrl+D закрывает терминал и убивает с ним процесс поделия.

А, я попутал. Это штука не отвязывает от терминала, а говорит ему не ожидать завершения команды, да.

Ну напиши скритик просто, где напиши эту свою команду, повесь его на ссылку и толкай его себе спокойно либо из терминала, либо из «выполнить», либо на ярлык повесь в гуе, делов-то.

Zhbert ★★★★★ ()
Ответ на: комментарий от deep-purple

Ну тогда удаляй skype, он всё равно работать без него не будет.

kostik87 ★★★★★ ()
Ответ на: комментарий от Zhbert

если после & выполнить disown или запускать через nohup то отвяжет

anonymous ()
Ответ на: комментарий от deep-purple

Даже аудио/видео-звонки? Не верю. У тебя точно пульса не прилетела в систему вместе с чем-нибудь?

evilmanul ()

Пришло время однострочников на баше

stormblastt ★★★ ()
Ответ на: комментарий от deep-purple

Брешешь, если skype именно 4.3.

http://www.opennet.ru/opennews/art.shtml?num=40030

Поддержка звукового сервера PulseAudio 3.0 и 4.0. Возможность прямого обращения к звуковой системе ALSA прекращена, для качественной работы рекомендуется использовать PulseAudio 4.0 или более новый выпуск данного звукового сервера;

Ну либо у тебя в системе установлен pulseaudio или ты используешь только чат.

kostik87 ★★★★★ ()
Последнее исправление: kostik87 (всего исправлений: 1)
Ответ на: комментарий от evilmanul

аудио/видео-звонки?

Да пусть лесом идут, всеравно в оснвном чатландия одна

deep-purple ★★★★★ ()
Ответ на: комментарий от stormblastt

Пришло время однострочников на баше

Эта тварина еще и падает - не может историю отсинхрить нормально.

deep-purple ★★★★★ ()

Без установки переменной LD_LIBRARY_PATH оно не взлетает, прописать её в .bashrc не помогло, оно хочет устанавливать непосредственно при запуске.

Может быть, export забываете?

nohup ... & обязано помогать от SIGHUP, который прилетает при закрытии терминала. Ещё можно </dev/null >/dev/null 2>/dev/null на случай, если оно творит какую-то чёрную магию со стандартными потоками.

AITap ★★★★★ ()
Ответ на: комментарий от AITap

/dev/null
Пробовал перенаправления, nohup, daemon и их комбинации
Топик не читай, сразу отвечай

Может быть, export забываете?

Может быть, но я уже запилил однострочник и дергаю его для запуска.

deep-purple ★★★★★ ()

А зачем ты обновил, если «нинужно!!!»?

Valdor ★★ ()

я тоже обновила. HRы вечно жаждут общения в этом дурацком скайпе. и на работе его юзают для корпоративных целей. мне он даром не нужен, но ради всяких редких случаев он у меня есть. я его заперла внутри отдельного юзера, ещё и с apparmor, пульсу пустила через TCP. всё работает. но гемора было порядком.

Iron_Bug ★★★★ ()

Поддержка клиента 4.2 по-видимому была прекращена и он у меня больше не соединяется.
Пришлось обновиться до 4.3 и ставить псщщть-пщщщщщть.

Nao ★★★★★ ()

У меня тоже Debian 6 x86_64 и ненужно работает искаропки.
Автор, зачем ты тарбол то скачал? Там же на сайте ненужно есть deb-пакет.

Nao ★★★★★ ()
Ответ на: комментарий от deep-purple

А вот здесь подробнее. Из-за чего пакет не установился? Что говорит dpkg?

zorex ()
Ответ на: комментарий от Nao

deb-пакет

У которого в зависимостях 32-разрядная пульса. Спасибо, не нужно.

MiniRoboDancer ★☆ ()
Ответ на: комментарий от MiniRoboDancer

И закрывает шелл еще. В bash задачи в бэкграунде при выходе через C-d остаются рабочими.

Extraterrestrial ★★★★ ()
Ответ на: комментарий от MiniRoboDancer

У которого в зависимостях 32-разрядная пульса. Спасибо, не нужно.

Не вся пульса, а только либы. К вам multiarch не завезли что-ли ещё?

Nao ★★★★★ ()
Ответ на: комментарий от menangen

Это можно использовать внутри своей команды/компании, да.
Но диктовать другим людям что «это вам не нужно, а это нужно» обычно составляет основную проблему.

Nao ★★★★★ ()

#!/bin/sh
exec ...

Положи этот скрипт в PATH, chmod +x и все будет

Надеюсь, волшебное слово export в .bashrc не забыл?

chg ★★★★★ ()
Ответ на: комментарий от Nao

К вам multiarch не завезли что-ли ещё?

А как бы я им без мультиарха пользовался-то?

MiniRoboDancer ★☆ ()
Ответ на: комментарий от MiniRoboDancer

Ну а в чём тогда проблема если всё работает?

Nao ★★★★★ ()
Ответ на: комментарий от Nao

Проблема в том, что пульсу 32-разрядную-то я после разрешения проблем с зависимостями поставил, а скайпу как-то пофиг.

MiniRoboDancer ★☆ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.